<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_ViaRoutes_V2 StructType
 * @subpackage Structs
 */
class Get_ViaRoutes_V2 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The ViaRouteSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ViaRouteSelection
     */
    public $ViaRouteSelection;
    /**
     * Constructor method for Get_ViaRoutes_V2
     * @uses Get_ViaRoutes_V2::setLogin()
     * @uses Get_ViaRoutes_V2::setViaRouteSelection()
     * @param \StructType\Login $login
     * @param \StructType\ViaRouteSelection $viaRouteSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\ViaRouteSelection $viaRouteSelection = null)
    {
        $this
            ->setLogin($login)
            ->setViaRouteSelection($viaRouteSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_ViaRoutes_V2
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get ViaRouteSelection value
     * @return \StructType\ViaRouteSelection|null
     */
    public function getViaRouteSelection()
    {
        return $this->ViaRouteSelection;
    }
    /**
     * Set ViaRouteSelection value
     * @param \StructType\ViaRouteSelection $viaRouteSelection
     * @return \StructType\Get_ViaRoutes_V2
     */
    public function setViaRouteSelection(\StructType\ViaRouteSelection $viaRouteSelection = null)
    {
        $this->ViaRouteSelection = $viaRouteSelection;
        return $this;
    }
}
